Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_PolicyFactory Class Reference

Policy factory for all RTCORBA related policies. More...

`#include <RT_PolicyFactory.h>`

Inheritance diagram for TAO_RT_PolicyFactory:

[legend]
Collaboration diagram for TAO_RT_PolicyFactory:

[legend]
List of all members.

## Public Methods
CORBA::Policy_ptr | create_policy (CORBA::PolicyType type, const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, CORBA::PolicyError)
CORBA::Policy_ptr | _create_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, CORBA::PolicyError)

## Detailed Description

Policy factory for all RTCORBA related policies.

## Member Function Documentation

CORBA::Policy_ptr TAO_RT_PolicyFactory::_create_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, CORBA::PolicyError)

| Reimplemented from PortableInterceptor::PolicyFactory.

CORBA::Policy_ptr TAO_RT_PolicyFactory::create_policy | ( | CORBA::PolicyType | type,
|  | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, CORBA::PolicyError)`[virtual]`

| Implements PortableInterceptor::PolicyFactory.

The documentation for this class was generated from the following files:

- RT_PolicyFactory.h
- RT_PolicyFactory.cpp